[MLton-commit] r6878

Wesley Terpstra wesley at mlton.org
Mon Sep 22 03:14:19 PDT 2008


Check most combinations of codegen options in the regression.


----------------------------------------------------------------------

A   mlton/trunk/regression/library/library-all
U   mlton/trunk/regression/library/library-test

----------------------------------------------------------------------

Added: mlton/trunk/regression/library/library-all
===================================================================
--- mlton/trunk/regression/library/library-all	2008-09-22 10:06:32 UTC (rev 6877)
+++ mlton/trunk/regression/library/library-all	2008-09-22 10:14:19 UTC (rev 6878)
@@ -0,0 +1,16 @@
+#! /usr/bin/env bash
+
+set -e
+
+./library-test "$@" -codegen native
+./library-test "$@" -codegen bytecode
+./library-test "$@" -codegen c
+
+./library-test "$@" -debug true -codegen native
+./library-test "$@" -debug true -codegen bytecode
+./library-test "$@" -debug true -codegen c
+
+# Time profiling messes around with labels. Make sure this works.
+./library-test "$@" -profile time -codegen native
+./library-test "$@" -profile time -codegen bytecode
+./library-test "$@" -profile time -codegen c


Property changes on: mlton/trunk/regression/library/library-all
___________________________________________________________________
Name: svn:executable
   + *

Modified: mlton/trunk/regression/library/library-test
===================================================================
--- mlton/trunk/regression/library/library-test	2008-09-22 10:06:32 UTC (rev 6877)
+++ mlton/trunk/regression/library/library-test	2008-09-22 10:14:19 UTC (rev 6878)
@@ -1,15 +1,11 @@
 #! /usr/bin/env bash
 
-ML=mlton #../../build/bin/mlton
+ML=../../build/bin/mlton
 
 O[0]='-default-ann'
 O[1]='allowFFI true'
 O[2]='-link-opt'
 O[3]='-L.'
-O[4]='-debug'
-O[5]='true'
-#O[6]='-target'
-#O[7]='x86'
 
 LIB="-link-opt -l"
 
@@ -19,16 +15,16 @@
 set -ex
 
 # Compile DSO #1
-$ML "${O[@]}" -format libarchive -export-header m1.h libm1.sml libm1.c
-$ML "${O[@]}" ${LIB}m1 -format library -export-header m2.h libm2.sml libm2.c
+$ML "${O[@]}" "$@" -format libarchive -export-header m1.h libm1.sml libm1.c
+$ML "${O[@]}" "$@" ${LIB}m1 -format library -export-header m2.h libm2.sml libm2.c
 
 # Compile DSO #2
-$ML "${O[@]}" -format libarchive -export-header m3.h libm3.sml libm3.c
-$ML "${O[@]}" ${LIB}m2 ${LIB}m3 -format library -export-header m4.h libm4.sml libm4.c
+$ML "${O[@]}" "$@" -format libarchive -export-header m3.h libm3.sml libm3.c
+$ML "${O[@]}" "$@" ${LIB}m2 ${LIB}m3 -format library -export-header m4.h libm4.sml libm4.c
 
 # Compile executable
-$ML "${O[@]}" -format archive -export-header m5.h libm5.sml libm5.c
-$ML "${O[@]}" ${LIB}m4 ${LIB}m5 -format executable -export-header check.h check.sml check.c
+$ML "${O[@]}" "$@" -format archive -export-header m5.h libm5.sml libm5.c
+$ML "${O[@]}" "$@" ${LIB}m4 ${LIB}m5 -format executable -export-header check.h check.sml check.c
 
 # Check that symbols resolved correctly
 ./check




More information about the MLton-commit mailing list